package cn.iocoder.yudao.module.inspection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import cn.iocoder.yudao.annotation.Excel;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;

/**
 * 分类模版对象 inspection_category_template
 *
 * @author ruoyi
 * @date 2023-09-07
 */
public class InspectionCategoryTemplate extends TenantBaseDO
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 分类主键 */
    @Excel(name = "分类主键")
    private Long categoryId;

    /** sku名称 */
    @Excel(name = "sku名称")
    private String skuName;

    /** sku价格 */
    @Excel(name = "sku价格")
    private Long skuPrice;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setSkuName(String skuName)
    {
        this.skuName = skuName;
    }

    public String getSkuName()
    {
        return skuName;
    }
    public void setSkuPrice(Long skuPrice)
    {
        this.skuPrice = skuPrice;
    }

    public Long getSkuPrice()
    {
        return skuPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("categoryId", getCategoryId())
            .append("skuName", getSkuName())
            .append("skuPrice", getSkuPrice())
            .append("createTime", getCreateTime())
            .append("createBy", getCreator())
            .append("updateBy", getUpdater())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
